## org.hibernate.internal.util.collections
Enum BoundedConcurrentHashMap.Eviction

    java.lang.Object
      java.lang.Enum<BoundedConcurrentHashMap.Eviction>
          org.hibernate.internal.util.collections.BoundedConcurrentHashMap.Eviction

All Implemented Interfaces:
  Serializable, Comparable<BoundedConcurrentHashMap.Eviction>

Enclosing class:
  BoundedConcurrentHashMap<K,V>

    public static enum BoundedConcurrentHashMap.Eviction

extends Enum<BoundedConcurrentHashMap.Eviction>

Enum Constant Summary
`LIRS`
`LRU`
`NONE`

Method Summary
`static BoundedConcurrentHashMap.Eviction` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BoundedConcurrentHashMap.Eviction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final BoundedConcurrentHashMap.Eviction NONE

### LRU

    public static final BoundedConcurrentHashMap.Eviction LRU

### LIRS

    public static final BoundedConcurrentHashMap.Eviction LIRS

Method Detail

### values

    public static BoundedConcurrentHashMap.Eviction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BoundedConcurrentHashMap.Eviction c : BoundedConcurrentHashMap.Eviction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BoundedConcurrentHashMap.Eviction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.